FROM {{ namespace }}/{{ image_prefix }}prometheus-base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block prometheus_openstack_exporter_header %}{% endblock %}

{% block prometheus_openstack_exporter_repository_version %}
ENV prometheus_openstack_exporter_version=1.3.0
{% endblock %}

{% block prometheus_openstack_exporter_install %}
RUN curl -o /tmp/prometheus_openstack_exporter.tar.gz https://github.com/openstack-exporter/openstack-exporter/releases/download/v${prometheus_openstack_exporter_version}/openstack-exporter-${prometheus_openstack_exporter_version}.linux-{{debian_arch}}.tar.gz \
    && tar xvf /tmp/prometheus_openstack_exporter.tar.gz -C /opt/ \
    && rm -f /tmp/prometheus_openstack_exporter.tar.gz \
    && ln -s /opt/openstack-exporter* /opt/openstack-exporter
{% endblock %}

{% block prometheus_openstack_exporter_footer %}{% endblock %}
{% block footer %}{% endblock %}

USER prometheus
